## maas 1.5%2Bbzr2252

=== Makefile ===
python := python2.7

# Network activity can be suppressed by setting offline=true (or any
# non-empty string) at the command-line.
ifeq ($(offline),)
buildout := bin/buildout
virtualenv := virtualenv
else
buildout := bin/buildout buildout:offline=true
virtualenv := virtualenv --never-download
endif

# If offline has been selected, attempt to further block HTTP/HTTPS
# activity by setting bogus proxies in the environment.
ifneq ($(offline),)
export http_proxy := broken
export https_proxy := broken
endif

# Python enum modules.
py_enums := $(wildcard src/*/enum.py)
# JavaScript enum module (not modules).
js_enums := src/maasserver/static/js/enums.js

# Prefix commands with this when they need access to the database.
# Remember to add a dependency on bin/database from the targets in
# which those commands appear.
dbrun := bin/database --preserve run --

# For things that care, postgresfixture for example, we always want to
# use the "maas" databases.
export PGDATABASE := maas

build: \
    bin/buildout \
    bin/database \
    bin/maas-region-admin bin/test.maas \
    bin/maas bin/test.maascli \
    bin/test.maastesting \
    bin/twistd.pserv bin/test.pserv \
    bin/test.config \
    bin/maas-probe-dhcp \
    bin/twistd.txlongpoll \
    bin/celeryd.cluster bin/celeryd.region \
    bin/py bin/ipy \
    $(js_enums)

all: build doc

# Install all packages required for MAAS development & operation on
# the system. This may prompt for a password.
install-dependencies:
	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
	    --no-install-recommends install $(shell sort -u \
	        $(addprefix required-packages/,base build dev doc))
	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
	    purge $(shell sort -u required-packages/forbidden)

bin/python:
	$(virtualenv) --python=$(python) --system-site-packages $(CURDIR)

bin/buildout: bin/python bootstrap/zc.buildout-1.5.2.tar.gz
	bin/python -m pip --quiet install --ignore-installed \
	    --no-dependencies bootstrap/zc.buildout-1.5.2.tar.gz
	$(RM) -f README.txt  # zc.buildout installs an annoying README.txt.
	@touch --no-create $@  # Ensure it's newer than its dependencies.

bin/database: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install database
	@touch --no-create $@

bin/maas-region-admin bin/celeryd.region: \
    bin/buildout buildout.cfg versions.cfg setup.py $(js_enums)
	$(buildout) install maas
	@touch --no-create $@

bin/test.maas: bin/buildout buildout.cfg versions.cfg setup.py $(js_enums)
	$(buildout) install maas-test
	@touch --no-create $@

bin/maas: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install maascli
	@touch --no-create $@

bin/test.maascli: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install maascli-test
	@touch --no-create $@

bin/test.maastesting: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install maastesting-test
	@touch --no-create $@

bin/maas-provision bin/twistd.pserv bin/celeryd.cluster: \
    bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install pserv
	@touch --no-create $@

bin/test.pserv: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install pserv-test
	@touch --no-create $@

bin/test.config: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install config-test
	@touch --no-create $@

bin/maas-probe-dhcp: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install maas-probe-dhcp
	@touch --no-create $@

bin/twistd.txlongpoll: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install txlongpoll
	@touch --no-create $@

bin/flake8: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install flake8
	@touch --no-create $@

bin/sphinx bin/sphinx-build: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install sphinx
	@touch --no-create $@

bin/py bin/ipy: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install repl
	@touch --no-create bin/py bin/ipy

test: build
	echo $(wildcard bin/test.*) | xargs -n1 env

lint: lint-py lint-js lint-doc

pocketlint = $(call available,pocketlint,python-pocket-lint)

# XXX jtv 2014-02-25: Clean up this lint, then make it part of "make lint".
lint-css: sources = src/maasserver/static/css
lint-css:
	@find $(sources) -type f \
	    -print0 | xargs -r0 $(pocketlint) --max-length=120

lint-py: sources = $(wildcard *.py contrib/*.py) src templates twisted utilities etc
lint-py: bin/flake8
	@find $(sources) -name '*.py' ! -path '*/migrations/*' \
	    -print0 | xargs -r0 bin/flake8 --ignore=E123 --config=/dev/null

lint-doc:
	@./utilities/doc-lint

lint-js: sources = src/maasserver/static/js
lint-js:
	@find $(sources) -type f -print0 | xargs -r0 $(pocketlint)

# Apply automated formatting to all Python files.
format: sources = $(wildcard *.py contrib/*.py) src templates twisted utilities etc
format:
	@find $(sources) -name '*.py' -print0 | xargs -r0 ./utilities/format-imports

check: clean test

docs/api.rst: bin/maas-region-admin src/maasserver/api.py syncdb
	bin/maas-region-admin generate_api_doc > $@

sampledata: bin/maas-region-admin bin/database syncdb
	$(dbrun) bin/maas-region-admin loaddata src/maasserver/fixtures/dev_fixture.yaml

doc: bin/sphinx docs/api.rst
	bin/sphinx

doc-with-versions: bin/sphinx
	cd docs/_build; make SPHINXOPTS="-A add_version_switcher=true" html

man: $(patsubst docs/man/%.rst,man/%,$(wildcard docs/man/*.rst))

man/%: docs/man/%.rst | bin/sphinx-build
	bin/sphinx-build -b man docs man $^

enums: $(js_enums)

$(js_enums): bin/py src/maasserver/utils/jsenums.py $(py_enums)
	 bin/py -m src/maasserver/utils/jsenums $(py_enums) > $@

clean:
	$(MAKE) -C acceptance $@
	find . -type f -name '*.py[co]' -print0 | xargs -r0 $(RM)
	find . -type f -name '*~' -print0 | xargs -r0 $(RM)
	find . -type f -name dropin.cache -print0 | xargs -r0 $(RM)
	$(RM) -r media/demo/* media/development
	$(RM) $(js_enums)
	$(RM) *.log
	$(RM) docs/api.rst
	$(RM) -r docs/_autosummary docs/_build
	$(RM) -r man/.doctrees

distclean: clean stop
	$(RM) -r bin include lib local
	$(RM) -r eggs develop-eggs
	$(RM) -r build dist logs/* parts
	$(RM) tags TAGS .installed.cfg
	$(RM) -r *.egg *.egg-info src/*.egg-info
	$(RM) -r run/* services/*/supervise

harness: bin/maas-region-admin bin/database
	$(dbrun) bin/maas-region-admin shell --settings=maas.demo

dbharness: bin/database
	bin/database --preserve shell

syncdb: bin/maas-region-admin bin/database
	$(dbrun) bin/maas-region-admin syncdb --noinput
	$(dbrun) bin/maas-region-admin migrate maasserver --noinput
	$(dbrun) bin/maas-region-admin migrate metadataserver --noinput

define phony_targets
  build
  check
  clean
  dbharness
  distclean
  doc
  enums
  format
  harness
  install-dependencies
  lint
  lint-css
  lint-doc
  lint-js
  lint-py
  man
  package
  sampledata
  source_package
  syncdb
  test
endef

#
# Development services.
#

service_names_region := database dns region-worker reloader txlongpoll web webapp
service_names_cluster := cluster-worker pserv reloader
service_names_all := $(service_names_region) $(service_names_cluster)

# The following template is intended to be used with `call`, and it
# accepts a single argument: a target name. The target name must
# correspond to a service action (see "Pseudo-magic targets" below).
# A region- and cluster-specific variant of the target will be
# created, in addition to the target itself. These can be used to
# apply the service action to the region services, the cluster
# services, or all services, at the same time.
define service_template
$(1)-region: $(patsubst %,services/%/@$(1),$(service_names_region))
$(1)-cluster: $(patsubst %,services/%/@$(1),$(service_names_cluster))
$(1): $(1)-region $(1)-cluster
phony_services_targets += $(1)-region $(1)-cluster $(1)
endef

# Expand out aggregate service targets using `service_template`.
$(eval $(call service_template,pause))
$(eval $(call service_template,restart))
$(eval $(call service_template,start))
$(eval $(call service_template,status))
$(eval $(call service_template,stop))
$(eval $(call service_template,supervise))

# The `run` targets do not fit into the mould of the others.
run-region:
	@services/run $(service_names_region)
run-cluster:
	@services/run $(service_names_cluster)
run:
	@services/run $(service_names_all)

phony_services_targets += run-region run-cluster run

# This one's for the rapper, yo.
run+webapp:
	@services/run $(service_names_region) +webapp

phony_services_targets += run+webapp

# Convenient variables and functions for service control.

setlock = $(call available,setlock,daemontools)
supervise = $(call available,supervise,daemontools)
svc = $(call available,svc,daemontools)
svok = $(call available,svok,daemontools)
svstat = $(call available,svstat,daemontools)

service_lock = $(setlock) -n /run/lock/maas.dev.$(firstword $(1))

# Pseudo-magic targets for controlling individual services.

services/%/@run: services/%/@stop services/%/@deps
	@$(call service_lock, $*) services/$*/run

services/%/@start: services/%/@supervise
	@$(svc) -u $(@D)

services/%/@pause: services/%/@supervise
	@$(svc) -d $(@D)

services/%/@status:
	@$(svstat) $(@D)

services/%/@restart: services/%/@supervise
	@$(svc) -du $(@D)

services/%/@stop:
	@if $(svok) $(@D); then $(svc) -dx $(@D); fi
	@while $(svok) $(@D); do sleep 0.1; done

services/%/@supervise: services/%/@deps
	@mkdir -p logs/$*
	@touch $(@D)/down
	@if ! $(svok) $(@D); then \
	    logdir=$(CURDIR)/logs/$* \
	        $(call service_lock, $*) $(supervise) $(@D) & fi
	@while ! $(svok) $(@D); do sleep 0.1; done

# Dependencies for individual services.

services/dns/@deps: bin/py

services/cluster-worker/@deps: bin/celeryd.cluster

services/region-worker/@deps: bin/celeryd.region

services/database/@deps: bin/database

services/pserv/@deps: bin/twistd.pserv

services/reloader/@deps:

services/txlongpoll/@deps: bin/twistd.txlongpoll

services/web/@deps:

services/webapp/@deps: bin/maas-region-admin

#
# Package building
#
# This ought to be as simple as using bzr builddeb --export-upstream but it
# has a bug and always considers apt-source tarballs before the specified
# branch.  So instead, export to a local tarball which is always found.
# Make sure debhelper and dh-apport packages are installed before using this.
PACKAGING := $(CURDIR)/../packaging.trunk
PACKAGING_BRANCH := lp:~maas-maintainers/maas/packaging

package_branch:
	@echo Downloading/refreshing packaging branch...
	@if [ ! -d $(PACKAGING) ]; then \
		bzr branch $(PACKAGING_BRANCH) $(PACKAGING); \
		else bzr pull -d $(PACKAGING); fi

# Make sure an orig tarball generated from the current branch is placed in the
# build area.
package_export: VER = $(shell dpkg-parsechangelog -l$(PACKAGING)/debian/changelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
package_export: TARBALL = maas_$(VER).orig.tar.gz
package_export: package_branch
	@$(RM) -f ../build-area/$(TARBALL)
	@mkdir -p ../build-area
	@bzr export --root=maas-$(VER).orig ../build-area/$(TARBALL) $(CURDIR)

package: package_export
	bzr bd --merge $(PACKAGING) -- -uc -us
	@echo Binary packages built, see parent directory.

source_package: package_export
	bzr bd --merge $(PACKAGING) -- -S -uc -us
	@echo Source package built, see parent directory.

#
# Phony stuff.
#

define phony
  $(phony_services_targets)
  $(phony_targets)
endef

phony := $(sort $(strip $(phony)))

.PHONY: $(phony)

#
# Functions.
#

# Check if a command is found on PATH. Raise an error if not, citing
# the package to install. Return the command otherwise.
# Usage: $(call available,<command>,<package>)
define available
  $(if $(shell which $(1)),$(1),$(error $(1) not found; \
    install it with 'sudo apt-get install $(2)'))
endef

## maas 1.5+bzr2252

=== debian/changelog ===
maas (1.5+bzr2252-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Add support to install Third Party Drivers. In order for this to be
      used the user will have to go to the Settings page to enable the
      installation of these drivers. (LP: #1305839)
    - Use release images instead of daily. (LP: #1306701)
    - Quote interface name in dhcpd.template, otherwise DHCP server fails
      to start. (LP: #1306335)
    - Fix IntegrityError, when multiple processes are trying to register
      the same component. (LP: #1307415)
    - Add missing armhf commissioning template (LP: #1307780)
  * debian/maas-region-controller-min.install: Install drivers.yaml.
  * debian/maas-region-controller.postinst: No longer show the
    installation note by default. (LP: #1284652)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 09 Apr 2014 19:02:00 -0400

maas (1.5+bzr2236-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
    - Fix simplestreams path to use the new data source path. (LP: #1305118)
    - Fix commissioning_distro_series validation failure. (LP: #1304408)
    - Fix DB migration 0072_remove_ipmi_autodetec. (LP: #1302156)
    - Update documentation.
  * debian/maas-region-controller-min.maas-region-celery.upstart,
    debian/maas-region-controller-min.maas-txlongpoll.upstart: Fix ISO
    install by making sure rabbitmq user is really created if it does not
    exist (LP: #1298559)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 09 Apr 2014 18:36:55 -0400

maas (1.5+bzr2230-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release:
    - Fix Cluster Controller to handle deprecated config items gracefull.
      Otherwise it fails on upgrades. (LP: #1302772)
    - Fix documentation generation and referencing. (LP: #1302956)
    - Ensure we PXE boot when we turn on SM15K systems. (LP: #1303915)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 07 Apr 2014 10:26:51 -0400

maas (1.5+bzr2227-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release:
    - Fix catching exceptions raised by
      twisted.conch.ssh.keys.Key.fromString (LP: #1298788)
    - Fix validationg in default NodeGroupInterface.broadcast_ip making it
      optional. (LP: #1299374)
    - Drop install-pxe-bootloader as it conflicts with newer import script.
    - Remove references to old import script.
    - Fix changes that cause overwriting of existing entries.
    - Fix inappropriate ValidationError when defining networks with nested
      (but non-identical) address ranges. (LP: #1299114)
    - Fix issue where if a node does not provide an architecture type on dhcp
      request, or no other boot method is available for that architecture,
      the node still uses pxelinux.0 to boot. (LP: #1300285)
    - Take an advisory lock to prevent concurrent creation of the
      eventloops table. (LP: #1300363)
    - Remove the cloud_images_archive setting, as it conflicts with new
      import script. (LP: #1300587)
    - Add a 'logout confirmation' page. Using this, the logout action is
      protected against CSRF attacks because it uses a POST request, in
      conjunction with Django's CSRF protection feature. (LP: #1298790)
    - Fix cluster listings when dealing with large number of clusters by
      paginating it. (LP: #1301242)
    - Change list_boot_images() so that it can cope with a missing boot
      images directory: this happens if the reporting task runs before the
      images have been imported. (LP: #213984)
    - Fix internal server error on fast path installer. (LP: #1293676)
    - Fix uploading files using maas-cli. (LP: #1187826)
    - Fix SM15k Invalid Power Control and Fix enlisting machines with
      2.0 api. (LP: #1302818, LP: #1302819)

  [ Andres Rodriguez ]
  * debian/maas-cluster-controller.install: Install UEFI templates
  * debian/maas-cluster-controller.dirs: Create 'boot-resources' dir.

  [ Jason Hobbs ]
  * debian/extras/99-maas: Allow access to keyserver.ubuntu.com via
    squid-deb-proxy.
 
  [Jeroen Vermeulen]
  * debian/maas-cluster-controller.postinst:
    - Make the tgt config link point to the new boot-resources dir.
  * debian/maas-region-controller-min.dirs:
    - Don't create /var/lib/maas/tftp.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 03 Apr 2014 13:45:02 -0400

maas (1.5+bzr2204-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1281881)

  [ Andres Rodriguez ]
  * debian/maas-region-controller-min.templates: Set installation note to false
    by default.
  * Check rabbitmqctl is present before running commands:
    - debian/maas-region-controller-min.maas-region-celery.upstart.
    - debian/maas-region-controller-min.maas-txlongpoll.upstart.
  * make sure maas_longpoll rabbitmq user is created/with correct password on
    a package reconfigure.
  * debian/maas-dns.postinst: Fix upgrade setup of named.conf.options.
  * debian/maas-cluster-controller.install: Install UEFI templates (LP: #1299143)

  [ Julian Edwards ]
  * debian/extas/maas: Echo warning to stderr so json stdout is not polluted
  * debian/maas-cluster-controller.postinst: Run upgrade-cluster on each
    upgrade
  * debian/maas-dns.postinst: Call edit_named_options to add a line in
    /etc/bind/named.conf.options that includes the
    /etc/named/maas/named.conf.options.inside.maas file.
  * debian/control:
    - maas-dns depends on python-iscpy
    - maas-cluster-controller depends on python-seamicroclient
  * debian/maas-cluster-controller.install: Install bootresources.yaml

  [ Dustin Kirkland ]
  * debian/control: LP: #1297097
    - clean up package descriptions, modernize, and more clearly/simply
      explain what each package does
    - drop "Ubuntu" in front of MAAS, clean up command line/API description

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 28 Mar 2014 10:43:53 -0400

maas (1.5+bzr1977-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release.
    - setup.py: Install missing shell snippet



=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.1.0~),
               dh-apport,
               po-debconf,
               python (>= 2.7),
               python-distribute,
               python-django
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: ${misc:Depends}, maas-cluster-controller, maas-region-controller, python-django-maas
Description: MAAS server all-in-one metapackage
 MAAS is "Metal As A Service", a system for dynamic provisioning of physical
 servers that has many of the same characteristics as a cloud.  You register
 servers with MAAS by telling MAAS about their IPMI or other control system.
 MAAS can then do hardware inventory, and provision that system on demand
 with whatever OS and software you like.  MAAS is standalone software that
 works with any configuration system, but for best results combine MAAS with
 Juju.
 .
 MAAS provides:
  * Hardware inventory of servers
  * Dynamic provisioning based on name or attributes such as disk, RAM cores, sockets
  * DNS and DHCP as needed
  * PXE boot services
 .
 This package is a metapackage which installs all of the separate components
 of MAAS on a single machine.

Package: maas-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: MAAS server common files
 This package contains the common files for any MAAS installation.

Package: maas-region-controller-min
Architecture: all
Depends: apache2,
         bind9utils,
         dbconfig-common,
         iproute,
         libapache2-mod-wsgi,
         libjs-raphael,
         libjs-yui3-full,
         libjs-yui3-min,
         maas-common (= ${binary:Version}),
         pwgen,
         python-django (>= 1.4),
         python-django-maas (= ${binary:Version}),
         python-django-piston,
         python-django-south,
         python-maas-provisioningserver (= ${binary:Version}),
         python-djorm-ext-pgarray,
         rsyslog,
         squid-deb-proxy,
         ${misc:Depends},
         ${python:Depends}
Breaks: maas-region-controller ( <= 1.4+bzr1693+dfsg-0ubuntu3 )
Replaces: maas-region-controller ( <= 1.4+bzr1693+dfsg-0ubuntu3 )
Description: MAAS Server minimum region controller
 This package installs and configures the minimum region controller
 services provided by MAAS, including the web UI, caching package proxy,
 networking/traffic control, and remote logging system.

Package: maas-region-controller
Architecture: all
Depends: maas-region-controller-min (= ${binary:Version}),
         postgresql (>= 9.1),
         rabbitmq-server,
         ${misc:Depends},
         ${python:Depends}
Recommends: openssh-server, maas-dns (= ${binary:Version})
Description: MAAS server complete region controller
 This package installs and configures the complete MAAS region controller,
 including the minimum setup, plus the database server and messaging queue.

Package: python-maas-provisioningserver
Section: python
Architecture: all
Depends: python-amqp,
         python-celery,
         python-distro-info,
         python-formencode,
         python-jsonschema,
         python-lockfile,
         python-lxml,
         python-maas-client,
         python-netifaces,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-pyparsing,
         python-simplestreams,
         python-tempita,
         python-twisted-core,
         python-twisted-web,
         python-txamqp,
         python-txtftp,
         python-yaml,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Breaks: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3), maas-dhcp (<= 1.4+bzr1817+dfsg-0ubuntu1)
Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3), maas-dhcp (<= 1.4+bzr1817+dfsg-0ubuntu1)
Conflicts: python-librabbitmq
Description: MAAS server provisioning libraries
 This package provides the MAAS provisioning server python libraries.

Package: maas-cli
Architecture: all
Depends: python-bzrlib,
         python-httplib2,
         python-maas-client (= ${binary:Version}),
         python-oauth,
         ${misc:Depends},
         ${python:Depends}
Conflicts: maas-region-controller-min (<= 1.5+bzr1909-0ubuntu1)
Replaces: maas-region-controller-min (<= 1.5+bzr1909-0ubuntu1)
Description: MAAS command line API tool
 This package contains the MAAS client command line API tool.
 This tool enables automation of tasks in MAAS, remotely, through
 its API.

Package: python-maas-client
Section: python
Architecture: all
Depends: python-oauth, ${misc:Depends}, ${python:Depends}
Breaks: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Replaces: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Description: MAAS python API client
 This package contains the MAAS client API Python modules.

Package: maas-cluster-controller
Architecture: all
Depends: apache2,
         authbind,
         bind9utils,
         distro-info,
         freeipmi-tools,
         maas-cli (=${binary:Version}),
         maas-common (=${binary:Version}),
         maas-dhcp (=${binary:Version}),
         python-amqp,
         python-celery,
         python-httplib2,
         python-lockfile,
         python-maas-provisioningserver (=${binary:Version}),
         python-netaddr,
         python-oauth,
         python-seamicroclient,
         python-tempita,
         python-twisted,
         python-zope.interface,
         rsyslog,
         syslinux-common,
         tgt,
         ubuntu-cloudimage-keyring,
         uuid-runtime,
         wget,
         ${misc:Depends},
         ${python:Depends}
Suggests: ipmitool, libvirt-bin, amtterm
Conflicts: tftpd-hpa, python-librabbitmq
Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
Description: MAAS server cluster controller
 This package contains the MAAS cluster controller, which is responsible
 for enabling and controlling remote DHCP/TFTP instances on their own
 subnets.

Package: python-django-maas
Section: python
Architecture: all
Depends: python-amqp,
         python-celery,
         python-convoy,
         python-crochet,
         python-curtin,
         python-lockfile,
         python-lxml,
         python-maas-client (= ${binary:Version}),
         python-netaddr,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-oops-wsgi,
         python-psycopg2,
         python-sphinx,
         python-tempita,
         python-twisted,
         python-txamqp,
         python-txlongpoll,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Conflicts: python-librabbitmq
Description: MAAS server Django web framework
 This package provides the Django web framework for MAAS.

Package: maas-dhcp
Architecture: all
Depends: isc-dhcp-server (>= 4.2.4), ${misc:Depends}
Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: MAAS DHCP server
 This package installs and configures a DHCP server that can be used by
 MAAS, and enhances the overall MAAS user experience.

Package: maas-dns
Architecture: all
Depends: bind9,
 maas-region-controller-min (= ${binary:Version}),
 python-iscpy,
 ${misc:Depends}
Conflicts: dnsmasq
Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: MAAS DNS server
 This package installs and configures a DNS server that can be used by
 MAAS, and enhances the overall MAAS user experience.

## maas 1.5.4%2Bbzr2294

=== debian/changelog ===
maas (1.5.4+bzr2294-0ubuntu1.2) trusty-security; urgency=medium

  * Fix compatibility with mod-wsgi security update (LP: #1399016)
    - debian/patches/home-directory.patch: specify a valid home directory
      for the maas user, since mod-wsgi no longer works without one.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Dec 2014 13:59:56 -0500

maas (1.5.4+bzr2294-0ubuntu1.1) trusty-proposed; urgency=medium

  * Add hardware enablement for armhf/keystone (LP: #1350103)

 -- Greg Lutostanski <gregory.lutostanski@canonical.com>  Thu, 18 Sep 2014 16:43:56 -0500

maas (1.5.4+bzr2294-0ubuntu1) trusty-proposed; urgency=medium

  * New upstream bug fix release:
    - Change supported releases for install to Precise, Saucy, Trusty, Utopic
      (Add Utopic; Remove Quantal/Raring) -- will still only be able to install
      releases with streams available to maas (LP: #1337437)
    - Package fails to install when the default route is through an
      aliased/tagged interface (LP: #1350235)
    - ERROR Nonce already used (LP: #1190986)
    - Add MAAS arm64/xgene support (LP: #1338851)
    - API documentation for nodegroup op=details missing parameter
      (LP: #1331982)
    - Reduce number of celery tasks emitted when updating a cluster controller
      (LP: #1324944)
    - Fix VirshSSH template which was referencing invalid attributes
      (LP: #1324966)
    - Fix a start up problems where a database lock was being taken outside of
      a transaction (LP: #1325640, LP: #1325759)
    - Reformat badly formatted Architecture error message (LP: #1301465)
    - Final changes to support ppc64el (now known as PowerNV) (LP: #1315154)
    - UI tweak to make navigation elements visible for documentation

  [ Greg Lutostanski ]
   * debian/control:
    - maas-provisioningserver not maas-cluster-controller depends on
      python-pexpect (LP: #1352273)

  [ Gavin Panella ]
   * debian/maas-cluster-controller.postinst
    - Allow maas-pserv to bind to all IPv6 addresses too. (LP: #1342302) 

  [ Diogo Matsubara ]
   * debian/control:
    - python-maas-provisioningserver depends on python-paramiko (LP: #1334401)

  [ Raphaël Badin ]
   * debian/extras/99-maas-sudoers:
    - Add rule 'maas-dhcp-server stop' job.

 -- Greg Lutostanski <gregory.lutostanski@canonical.com>  Fri, 29 Aug 2014 13:27:34 -0500

maas (1.5.2+bzr2282-0ubuntu0.2) trusty-proposed; urgency=medium

  * debian/control:
   - Add missing dependency in maas-cluster-controller for grub-common
     (LP: #1328231) 
   - Move dependency from maas-cluster-controller to maas-provisioningserver
     for python-seamicroclient (LP: #1332532) 

 -- Greg Lutostanski <gregory.lutostanski@canonical.com>  Fri, 20 Jun 2014 10:10:47 -0500

maas (1.5.2+bzr2282-0ubuntu0.1) trusty-proposed; urgency=medium

  * New upstream release:
    - Remove workaround for fixed Django bug 1311433 (LP: #1311433)
    - Ensure that validation errors are returned when adding a node over
      the API and its cluster controller is not contactable. (LP: #1305061)
    - Hardware enablement support for PowerKVM (LP: #1325038)
    - Shorten the time taken for a cluster to initially connect to the region
      via RPC to around 2 seconds (LP: #1317682)
    - Faster DHCP leases parser (LP: #1305102)
    - Documentation fixed explaining how to enable an ephemeral backdoor
      (LP: #1321696)
    - Use probe-and-enlist-hardware to enlist all virtual machine inside
      a libvirt machine, allow password qemu+ssh connections.
      (LP: #1315155, LP: #1315157)
    - Rename ppc64el boot loader to PowerKVM (LP: #1315154)
    - Fix NodeForm's is_valid() method so that it uses Django's way of setting
      errors on forms instead of putting text in self.errors['architecture']
      (LP: #1301465)
    - Change BootMethods to return their own IReader per-request, update method
      names to reflect new usage. (LP: #1315154)
    - Return early and stop the DHCP server when the list of managed interfaces
      of the nodegroup is empty. (LP: #1324944)
    - Fix invalid attribute references in the VirshSSH class. Added more test
      for the VirshSSH class. (LP: #1324966)
  * debian/control:
    - Add missing dependency in maas-cluster-controller for python-pexpect
      (LP: #1322151)

 -- Greg Lutostanski <gregory.lutostanski@canonical.com>  Wed, 04 Jun 2014 14:31:41 -0500

maas (1.5.1+bzr2269-0ubuntu0.1) trusty; urgency=medium

  * Stable Release Update (LP: #1317601):
    - Hardware Enablement for Cisco B-Series. (LP: #1300476)
    - Allow AMT power type to specify IP Address. (LP: #1308772)
    - Spurious failure when starting and creating lock files. (LP: 1308069)
    - Fix usage of hardware enablement kernels by fixing the preseeds
      (LP: #1310082, LP: #1310076, LP: #1310082)
    - Fix parallel juju deployments. (LP: #1314409)
    - Clear distro_series when stopping node from WebUI (LP: #1316396)
    - Fix click hijacking (LP: #1298784)
    - Fix blocking API client when deleting a resource (LP: #1313556)
    - Do not import Trusty RC images by default (LP: #1311151)
    - debian/control: Add missing dep on python-crochet for
      python-maas-provisioningserver (LP: #1311765)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 09 May 2014 22:35:43 -0500

## maas 1.5.4+bzr2294

=== Makefile ===
--- 
+++ 
@@ -164,7 +164,7 @@
 doc: bin/sphinx docs/api.rst
 	bin/sphinx
 
-doc-with-versions: bin/sphinx
+doc-with-versions: bin/sphinx docs/api.rst
 	cd docs/_build; make SPHINXOPTS="-A add_version_switcher=true" html
 
 man: $(patsubst docs/man/%.rst,man/%,$(wildcard docs/man/*.rst))
@@ -344,8 +344,8 @@
 # has a bug and always considers apt-source tarballs before the specified
 # branch.  So instead, export to a local tarball which is always found.
 # Make sure debhelper and dh-apport packages are installed before using this.
-PACKAGING := $(CURDIR)/../packaging.trunk
-PACKAGING_BRANCH := lp:~maas-maintainers/maas/packaging
+PACKAGING := $(CURDIR)/../packaging.trusty
+PACKAGING_BRANCH := lp:~maas-maintainers/maas/packaging.trusty
 
 package_branch:
 	@echo Downloading/refreshing packaging branch...
@@ -363,11 +363,11 @@
 	@bzr export --root=maas-$(VER).orig ../build-area/$(TARBALL) $(CURDIR)
 
 package: package_export
-	bzr bd --merge $(PACKAGING) -- -uc -us
+	bzr bd --merge $(PACKAGING) --result-dir=../build-area -- -uc -us
 	@echo Binary packages built, see parent directory.
 
 source_package: package_export
-	bzr bd --merge $(PACKAGING) -- -S -uc -us
+	bzr bd --merge $(PACKAGING) --result-dir=../build-area -- -S -uc -us
 	@echo Source package built, see parent directory.
 
 #

=== debian/control ===
--- 
+++ 
@@ -87,6 +87,7 @@
 Architecture: all
 Depends: python-amqp,
          python-celery,
+         python-crochet,
          python-distro-info,
          python-formencode,
          python-jsonschema,
@@ -98,7 +99,10 @@
          python-oops-amqp,
          python-oops-datedir-repo,
          python-oops-twisted,
+         python-paramiko,
+         python-pexpect,
          python-pyparsing,
+         python-seamicroclient,
          python-simplestreams,
          python-tempita,
          python-twisted-core,
@@ -146,6 +150,7 @@
          bind9utils,
          distro-info,
          freeipmi-tools,
+         grub-common,
          maas-cli (=${binary:Version}),
          maas-common (=${binary:Version}),
          maas-dhcp (=${binary:Version}),
@@ -156,7 +161,6 @@
          python-maas-provisioningserver (=${binary:Version}),
          python-netaddr,
          python-oauth,
-         python-seamicroclient,
          python-tempita,
          python-twisted,
          python-zope.interface,

=== debian/rules ===
#!/usr/bin/make -f

BUILDHOME = $(CURDIR)/debian/build
PYTHON = $(shell pyversions -d)
# Python enum modules.
py_enums := $(wildcard src/*/enum.py)

%:
	dh $@ --with python2,apport --buildsystem=python_distutils

override_dh_installinit:
	dh_installinit --name maas-txlongpoll --no-start
	dh_installinit --name maas-region-celery --no-start
	dh_installinit --name maas-pserv
	dh_installinit --name maas-cluster-celery
	dh_installinit --name maas-dhcp-server

override_dh_auto_build:
	dh_auto_build

	mkdir -p $(BUILDHOME)
	HOME=$(BUILDHOME) PYTHONPATH=$(CURDIR)/src/ $(PYTHON)	\
		$(CURDIR)/src/maasserver/utils/jsenums.py	\
		$(py_enums) > $(BUILDHOME)/enums.js

override_dh_auto_install:
	dh_auto_install

	# Move static files
	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas/web/static
	mv $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/maasserver/static \
                $(CURDIR)/debian/tmp/usr/share/maas/web/

	# Install built enums.js file.
	cp $(BUILDHOME)/enums.js $(CURDIR)/debian/tmp/usr/share/maas/web/static/js/

	# install the apparmor profile
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d
	install -m 644 $(CURDIR)/debian/maas-dhcp.apparmor \
	    $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d/maas

	dh_install --list-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDHOME)
	rm -rf src/*.egg-info

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=maas-$(VER).orig \
             maas_$(VER).orig.tar.gz lp:maas/1.5

## maas 1.7.0~beta8+bzr3272

=== debian/changelog ===
maas (1.7.0~beta8+bzr3272-0ubuntu1) utopic; urgency=medium

  * New Upstream Release, Beta 8 bzr 3272.
    - Maintain backward compatibility with status codes to not break
      client MAAS API users.  (LP: #1383609)
    - Allow users to disable DHCP NIC scanning during commissioning otherwise
      this can lead machines not being able to commission (LP: #1383384)
    - Ensure that MAAS can correctly download, and install HWE Kernels, and 
      not crash in the process. (LP: #1357532, LP: #1382281)
    - Add a lock to ensure we don't give the same 2 systems to two different
      users when acquiring a machine. (LP: #1382575)

  [ Michael McCracken ]
  * debian/maas-dns.postrm: ensure named.conf is cleaned of maas
    includes (LP: #1346538)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 22 Oct 2014 12:55:08 -0400

maas (1.7.0~beta7+bzr3266-0ubuntu1) utopic; urgency=medium

  * New Upstream Snapshot, Beta 7 bzr3266

  [ Jeroen Vermeulen ]
  * debian/extras/99-maas-sudoers
    debian/maas-dhcp.postinst
    debian/rules
    - Add second DHCP server instance for IPv6.
  * debian/maas-region-controller-min.install
    debian/maas-region-controller-min.lintian-overrides
    - Install deployment user-data: maas_configure_interfaces.py script.
  * debian/maas-cluster-controller.links
    debian/maas-cluster-controller.install
    debian/maas-cluster-controller.postinst
    - Reflect Celery removal changes made in trunk r3067.
    - Don't install celeryconfig_cluster.py any longer. 
    - Don't install maas_local_celeryconfig_cluster.py any longer.
    - Don't symlink maas_local_celeryconfig_cluster.py from /etc to /usr.
    - Don't insert UUID into maas_local_celeryconfig_cluster.py.

  [ Andres Rodriguez ]
  * debian/maas-region-controller-min.postrm: Cleanup lefover files.
  * debian/maas-dhcp.postrm: Clean leftover configs.
  * Provide new maas-proxy package that replaces the usage of
    squid-deb-proxy:
    - debian/control: New maas-proxy package that replaces the usage
      of squid-deb-proxy; Drop depends on squid-deb-proxy.
    - Add upstrart job.
    - Ensure squid3 is stopped as maas-proxy uses a caching proxy.
  * Remove Celery references to cluster controller:
    - Rename upstart job from maas-pserv to maas-cluster; rename
      maas-cluster-celery to maas-cluster-register. Ensure services
      are stopped on upgrade.
    - debian/maintscript: Cleanup config files.
    - Remove all references to the MAAS celery daemon and config
      files as we don't use it like that anymore
  * Move some entries in debian/maintscript to
    debian/maas-cluster-controller.maintscript
  * Remove usage of txlongpoll and rabbitmq-server. Handle upgrades
    to ensure these are removed correctly.

  [ Jason Hobbs ]
  * debian/maas-region-controller-min.install: Install
    maas-generate-winrm-cert script.

  [ Raphaël Badin ]
  * debian/extras/maas-region-admin: Bypass django-admin as it prints
    spurious messages to stdout (LP: #1365130).

  [Louis Bouchard]
  * debian/maas-cluster-controller.postinst:
    - Exclude /var/log/maas/rsyslog when changing ownership
      (LP: #1346703)

  [Gavin Panella]
  * debian/maas-cluster-controller.maas-clusterd.upstart:
    - Don't start-up the cluster controller unless a shared-secret has
      been installed.
  * debian/maas-cluster-controller.maas-cluster-register.upstart: Drop.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 21 Aug 2014 19:36:30 -0400

maas (1.7.0~beta1+bzr2781-0ubuntu1) utopic; urgency=medium

  * New upstream release, 1.7.0 Beta 1

  [Diogo Matsubara]
  * debian/control:
    - maas-cluster-controller depends on syslinux-dev | 
      syslinux-common (LP: #1328659)
    - python-maas-provisioningserver depends on
      python-paramiko (LP: #1334401)

  [Jeroen Vermeulen]
  * debian/extras/99-maas-sudoers:
    - Let maas user import, including sudo tgt-admin and sudo uec2roottar.
  * debian/maas-cluster-controller.install:
    - Stop installing obsolete file bootresources.yaml.

  [ Raphaël Badin ]
  * debian/control:
    - maas-cluster-controller depends on python-pexpect
  * debian/extras/99-maas-sudoers:
    - Add rule 'maas-dhcp-server stop' job.

  [ Greg Lutostanski ]
  * debian/control:
    - maas-cluster-controller depends on grub-common
    - maas-provisioningserver not maas-cluster-controller depends on
      python-pexpect (LP: #1352273)
    - maas-provisioningserver not maas-cluster-controller depends on
      python-seamicroclient (LP: #1332532)

  [ Gavin Panella ]
  * debian/maas-cluster-controller.postinst
    - Allow maas-pserv to bind to all IPv6 addresses too.

  [ Julian Edwards ]
  * debian/maas-region-controller-min.apport
    debian/maas-region-controller-min.logrotate
    debian/maas-region-controller-min.postinst
    debian/maas-region-controller.postinst
    - Change the log file name maas.log to maas-django.log
  * debian/maas-cluster-controller.postinst
    debian/maas-common.install
    debian/maas-region-controller-min.postinst
    debian/maas-region-controller.postinst
    - Install /var/log/maas/maas.log as a syslog file.
    - Ensure logging is set up for upgrades 

  [ Graham Binns ]
  * debian/maas-region-controller.postinst:
    - Add symlinks for squid3, squid-deb-proxy and apache log directories to
      /var/log/maas.

  [ Andres Rodriguez ]
  * debian/maas-region-controller.postinst: Force symlink creation
    for external logs.
  * debian/maas-region-controller.postinst: Do not change celery's
    rabbitmq password on upgrade that to not lock remote
    Cluster Controllers if upgrading from 1.5+. (LP: #1300507)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 21 Aug 2014 14:05:40 -0400

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,6 @@
          libjs-yui3-full,
          libjs-yui3-min,
          maas-common (= ${binary:Version}),
-         pwgen,
          python-django (>= 1.4),
          python-django-maas (= ${binary:Version}),
          python-django-piston,
@@ -60,7 +59,7 @@
          python-maas-provisioningserver (= ${binary:Version}),
          python-djorm-ext-pgarray,
          rsyslog,
-         squid-deb-proxy,
+         maas-proxy,
          ${misc:Depends},
          ${python:Depends}
 Breaks: maas-region-controller ( <= 1.4+bzr1693+dfsg-0ubuntu3 )
@@ -74,7 +73,6 @@
 Architecture: all
 Depends: maas-region-controller-min (= ${binary:Version}),
          postgresql (>= 9.1),
-         rabbitmq-server,
          ${misc:Depends},
          ${python:Depends}
 Recommends: openssh-server, maas-dns (= ${binary:Version})
@@ -85,8 +83,7 @@
 Package: python-maas-provisioningserver
 Section: python
 Architecture: all
-Depends: python-amqp,
-         python-celery,
+Depends: python-celery,
          python-crochet,
          python-distro-info,
          python-formencode,
@@ -96,7 +93,6 @@
          python-maas-client,
          python-netifaces,
          python-oops,
-         python-oops-amqp,
          python-oops-datedir-repo,
          python-oops-twisted,
          python-paramiko,
@@ -115,7 +111,6 @@
          ${python:Depends}
 Breaks: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3), maas-dhcp (<= 1.4+bzr1817+dfsg-0ubuntu1)
 Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3), maas-dhcp (<= 1.4+bzr1817+dfsg-0ubuntu1)
-Conflicts: python-librabbitmq
 Description: MAAS server provisioning libraries
  This package provides the MAAS provisioning server python libraries.
 
@@ -154,8 +149,6 @@
          maas-cli (=${binary:Version}),
          maas-common (=${binary:Version}),
          maas-dhcp (=${binary:Version}),
-         python-amqp,
-         python-celery,
          python-httplib2,
          python-lockfile,
          python-maas-provisioningserver (=${binary:Version}),
@@ -165,6 +158,7 @@
          python-twisted,
          python-zope.interface,
          rsyslog,
+         syslinux-dev | syslinux-common (<< 3:6.00~pre4+dfsg-5),
          syslinux-common,
          tgt,
          ubuntu-cloudimage-keyring,
@@ -173,7 +167,7 @@
          ${misc:Depends},
          ${python:Depends}
 Suggests: ipmitool, libvirt-bin, amtterm
-Conflicts: tftpd-hpa, python-librabbitmq
+Conflicts: tftpd-hpa
 Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
 Description: MAAS server cluster controller
@@ -194,7 +188,6 @@
          python-maas-client (= ${binary:Version}),
          python-netaddr,
          python-oops,
-         python-oops-amqp,
          python-oops-datedir-repo,
          python-oops-twisted,
          python-oops-wsgi,
@@ -203,11 +196,9 @@
          python-tempita,
          python-twisted,
          python-txamqp,
-         python-txlongpoll,
          python-zope.interface,
          ${misc:Depends},
          ${python:Depends}
-Conflicts: python-librabbitmq
 Description: MAAS server Django web framework
  This package provides the Django web framework for MAAS.
 
@@ -232,3 +223,14 @@
 Description: MAAS DNS server
  This package installs and configures a DNS server that can be used by
  MAAS, and enhances the overall MAAS user experience.
+
+Package: maas-proxy
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         squid3
+Conflicts: squid-deb-proxy
+Replaces: squid-deb-proxy
+Description: MAAS Caching Proxy
+ This package installs and configures a Caching Proxy server that can be
+ used by MAAS. It enhances the overall MAAS user experience.
